The IRCbot charm was created by Canonical hyperscale team to listen to messages from a RabbitMQ-server instance and then show this messages in an IRC channel.
IRCbot charm requires RabbitMQ-server charm. Its configuration has two parts, one related with IRCbot and other with RabbitMQ-server.

If you deploy each charm separately:
```$ juju deploy ~ce-hyperscale/scalebot-ircbot```
```$ juju deploy rabbitmq-server```

Then you need to add the relation between charms:
```juju add-relation rabbitmq-server scalebot-ircbot```

The IRCbot charm will create a systemd unit called `ircbot.service` to run the IRCbot service. This service is responsible for staying connected to the IRC network and for joining a channel and then reading the messages from RabbitMQ-server and showing these messages formatted in IRC channel.

Where do the messages to RabbitMQ-server come from? 
We are using a Jenkins instance with the [MQ-notifier plugin](https://wiki.jenkins.io/display/JENKINS/MQ+Notifier+Plugin). The MQ-notifier plugin sends messages whenever a build is started and finished.
It also sends a message when a build enters and leaves the queue (but these messages are ignored by IRCbot charm - we are just interested in knowing when the job started and when it finished - with `success` or `failure` status).
If it fails, you can make your bot ping someone in IRC channel (`irc_nick_to_alert` config) and/or you can just add `scalebot-jenkins-failure` to be highlighted in your IRC client settings.

We tested this charm in both x86_64 and aarch64 architectures.
